local propsrv = lgs.PropertySrv

function Sim(msg)
	if msg.fStarting then
		local a = propsrv.Get(script.objid,'MotActorTagList')
	end
	return true
end

function MediumTransition(msg)
	if msg.ntoType == 2 then
		propsrv.Set(script.objid,'MotActorTagList','Swiming 0')
		propsrv.Set(script.objid,'PhysAttr','Density',0.1)
		propsrv.Set(script.objid,'PhysAttr','Gravity %',10)
	end
	if msg.ntoType == 1 then
		propsrv.Set(script.objid,'MotActorTagList',a)
		propsrv.Set(script.objid,'PhysAttr','Density',1.1)
		propsrv.Set(script.objid,'PhysAttr','Gravity %',100)
	end
	return true
end
